from rq_controller.common.io.rq_json import RqJsonWriter
from rq_controller.common.io.thd import RawLoader
from pathlib import Path


FOLDER = Path(r"C:\Users\swittl\Downloads\defect_detection\defect_detection\object_2")
SAVE_FOLDER = Path(
    r"C:\Users\swittl\Downloads\defect_detection\defect_detection\rq_converted\object_2"
)


def main():
    writer = RqJsonWriter()
    loader = RawLoader()

    projections_files = FOLDER.glob("*.raw")

    for i, file in enumerate(projections_files):
        projection = loader.load_projection(file)
        save_path = writer.get_next_projection_save_path(SAVE_FOLDER)
        writer.write_projection(save_path, projection, optional=True)


if __name__ == "__main__":
    main()
